Documentação

ReferênciaWhatsApp

Listar modelos de mensagem do número

GET
/whatsapp/numbers/{id}/templates
X-API-Key<token>

Chave de API (prefixo nbr_) ou Token de Acesso Pessoal (prefixo pat_)

In: header

Path Parameters

id*string

ID do número (formato wan_xxx)

Query Parameters

status?string

Situação na revisão da Meta, como approved, pending, rejected ou paused

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/whatsapp/numbers/string/templates"
{  "templates": [    {      "id": "wat_2jxsy8cc8v0348asy6t1",      "number_id": "string",      "meta_template_id": "string",      "name": "visita_confirmada",      "language": "pt_BR",      "category": "MARKETING",      "status": "string",      "status_reason": "string",      "components": [        {}      ],      "variables": {        "header": 0,        "body": 0,        "buttons": [          0        ]      },      "synced_at": "2019-08-24T14:15:22Z"    }  ]}
{  "type": "unauthorized",  "title": "Authentication Required",  "status": 401,  "detail": "authentication required",  "code": "unauthorized.auth_required",  "request_id": "req_abc123",  "timestamp": "2026-02-15T12:00:00Z",  "documentation_url": "https://docs.nobur.com.br/errors/unauthorized"}
{  "type": "forbidden",  "title": "Access Denied",  "status": 403,  "detail": "insufficient permissions",  "code": "forbidden.insufficient_permissions",  "request_id": "req_abc123",  "timestamp": "2026-02-15T12:00:00Z",  "documentation_url": "https://docs.nobur.com.br/errors/forbidden"}
{  "type": "not_found",  "title": "Resource Not Found",  "status": 404,  "detail": "broker not found",  "code": "not_found.broker",  "request_id": "req_abc123",  "timestamp": "2026-02-15T12:00:00Z",  "documentation_url": "https://docs.nobur.com.br/errors/not-found"}
{  "type": "rate_limit",  "title": "Rate Limit Exceeded",  "status": 429,  "detail": "rate limit exceeded",  "code": "rate_limit.exceeded",  "retry_after": 60,  "request_id": "req_abc123",  "timestamp": "2026-02-15T12:00:00Z",  "documentation_url": "https://docs.nobur.com.br/errors/rate-limit"}
{  "type": "internal",  "title": "Internal Server Error",  "status": 500,  "detail": "an unexpected error occurred",  "code": "internal.unexpected",  "request_id": "req_abc123",  "timestamp": "2026-02-15T12:00:00Z",  "documentation_url": "https://docs.nobur.com.br/errors/internal"}